body {
  background-color: #101424c0;
}

#root {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
}

.main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-size: 1rem;
  color: white;
  text-align: center;
  width: 98vw;
  max-width: 1500px;
  margin: 2vh auto;
  gap: 3%;
  overflow: hidden;
}

.main > header {
  margin: 1rem;
  font-size: x-large;
}

.spinner-flex {
  justify-content: center;
  margin-bottom: 2rem;
}

input {
  padding: 0.5rem;
  margin: 0.3rem;
  border-radius: 2px;
  border: none;
  font-size: 0.9rem;
  background-color: #0006;
  color: lightgrey;
}

input:disabled {
  background-color: #8882;
}

input::placeholder {
  color: #8888;
  opacity: 1;
}

input:disabled::placeholder {
  opacity: 0.4;
}

button {
  padding: 0.3rem 0.5rem;
  margin: 0.3rem;
  font-size: 1.1rem;
  border-radius: 1px;
  border: none;
  background-color: #eeea;
}

button:hover {
  background-color: #eeed;
  cursor: pointer;
}

button:disabled {
  background-color: #eee8 !important;
  color: lightgrey;
  opacity: 0.5;
  cursor: default;
  pointer-events: none;
}

/* for react-menu */
.szh-menu__item {
  padding: 0.5rem;
  color: black;
  text-align: left;
  font-size: smaller;
}